spring:
  datasource:
    dynamic:
      primary: master
      strict: false
      datasource:
        master:
          url: jdbc:mysql://127.0.0.1:3306/udi_wms_ct?allowMultiQueries=true&serverTimezone=Asia/Shanghai&useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&allowPublicKeyRetrieval=true
          username: root
          password: Glxp@6066
          driver-class-name: com.mysql.cj.jdbc.Driver
        njsql:
          #          url: jdbc:oracle:thin:@192.168.10.8:1521/njxyy
          #          username: SD_UDIJK
          #          password: SD_UDIJK
          #          driver-class-name: oracle.jdbc.driver.OracleDrive
          url: jdbc:mysql://127.0.0.1:3306/udi_wms_ct?allowMultiQueries=true&serverTimezone=Asia/Shanghai&useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&allowPublicKeyRetrieval=true
          username: root
          password: Glxp@6066
          driver-class-name: com.mysql.cj.jdbc.Driver
        #        thirdSql:
        #          url: jdbc:p6spy:mysql://127.0.0.1:3306/udi_wms_pt?allowMultiQueries=true&serverTimezone=Asia/Shanghai&useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&allowPublicKeyRetrieval=true
        #          username: root
        #          password: Glxp@6066
        #          driver-class-name: com.mysql.cj.jdbc.Driver
        ptxhSql:
          #          url: jdbc:oracle:thin:@192.168.10.8:1521/njxyy
          #          username: SD_UDIJK
          #          password: SD_UDIJK
          #          driver-class-name: oracle.jdbc.driver.OracleDrive
          url: jdbc:mysql://127.0.0.1:3306/udi_wms_ct?allowMultiQueries=true&serverTimezone=Asia/Shanghai&useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&allowPublicKeyRetrieval=true
          username: root
          password: Glxp@6066
          driver-class-name: com.mysql.cj.jdbc.Driver
        ctqyySql:
          #          url: jdbc:oracle:thin:@192.168.10.8:1521/njxyy
          #          username: SD_UDIJK
          #          password: SD_UDIJK
          #          driver-class-name: oracle.jdbc.driver.OracleDrive
          url: jdbc:mysql://127.0.0.1:3306/udi_wms_ct?allowMultiQueries=true&serverTimezone=Asia/Shanghai&useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&allowPublicKeyRetrieval=true
          username: root
          password: Glxp@6066
          driver-class-name: com.mysql.cj.jdbc.Driver
      hikari:
        connection-timeout: 60000
        maximum-pool-size: 60
        minimum-idle: 10
    hikari:
      connection-timeout: 60000
      maximum-pool-size: 60
      minimum-idle: 10
